Bug 1623094 - [RFE] EC2 T3 instance types are missing in CFME
Summary: [RFE] EC2 T3 instance types are missing in CFME
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Alexander Zagaynov
QA Contact: Matouš Mojžíš
URL:
Whiteboard: ec2
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-28 13:05 UTC by Matouš Mojžíš
Modified: 2019-02-07 23:03 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.22
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:43 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:50 UTC

Description Matouš Mojžíš 2018-08-28 13:05:24 UTC
Description of problem:
https://aws.amazon.com/about-aws/whats-new/2018/08/introducing-amazon-ec2-t3-instances/
T3 instance types are missing in CFME.

Version-Release number of selected component (if applicable):
5.10.0.12

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Alexander Zagaynov 2018-10-19 10:36:03 UTC
It was fixed with https://github.com/ManageIQ/manageiq-providers-amazon/pull/493

Comment 3 CFME Bot 2018-10-24 15:26:19 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/hammer:

https://github.com/ManageIQ/manageiq-providers-amazon/commit/e229f18ee1e31119df0e176e9ac7daa20c977cc0
commit e229f18ee1e31119df0e176e9ac7daa20c977cc0
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Thu Oct  4 13:03:02 2018 -0400
Commit:     Bronagh Sorota <bsorota@redhat.com>
CommitDate: Thu Oct  4 13:03:02 2018 -0400

    Merge pull request #493 from AlexanderZagaynov/updates/ec2_f1_new_size

    new AWS EC2 instance types

    (cherry picked from commit a9f1252e2066231233273693c86595b189f87892)

    https://bugzilla.redhat.com/show_bug.cgi?id=1623094
    https://bugzilla.redhat.com/show_bug.cgi?id=1636182

 db/fixtures/aws_instance_types.yml | 232 +
 spec/models/manageiq/providers/amazon/aws_refresher_spec_counts.rb | 2 +-
 spec/models/manageiq/providers/amazon/cloud_manager/stubbed_refresher_spec.rb | 2 +-
 3 files changed, 234 insertions(+), 2 deletions(-)

Comment 4 Matouš Mojžíš 2018-10-31 15:48:24 UTC
Also f1.4xlarge is missing, but it's fixed in this PR.

Comment 5 Matouš Mojžíš 2018-11-14 12:19:38 UTC
Verified in 5.10.0.22. These flavors are now in CFME.

Comment 6 errata-xmlrpc 2019-02-07 23:03:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.